Subject: Re: bug#60617: 30.0.50; Info-next-reference on TAB skips hyperlink in same line

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Jan 2023 08:53:45 +0200

tags 60617 notabug wontfix
thanks.

> Date: Sat, 07 Jan 2023 03:07:45 +0300
> From: Jean Louis <[email-masked]>
> 
> 
> In the Info buffer I can see hyperlink "Smart Key Reference", and when
> cursor is on "S" of the "See" word before "Smart Key Reference", and I
> press TAB, I expect cursor to move to "Smart Key Reference" hyperlink,
> instead, the line is skipped and cursor moves to "Smart Key Bindings".
> 
> TAB or `Info-next-reference' works well if cursor is on the previous
> line, then it would jump to the hyperlink "Smart Key Reference", but
> skips the hyperlink if cursor is in the same line. IMHO, it should
> move to hyperlink in same line first.
> 
> *Note Smart Key Reference::, for complete descriptions of their behavior
> in all contexts.
> 
> * Menu:
> 
> * Smart Key Bindings::

TAB moves to the _next_ reference, so when point is _on_ a reference,
Emacs will move to the next one.  And "See" is considered to be part
of the cross-reference.  Use RET to go to the one where you have
point.

This is not a bug.